Vagrant.configure("2") do |config|
  config.vm.synced_folder ".", "/vagrant", type: "nfs"
  config.vm.box = "debian/buster64"

  config.vm.define "cchauvetS" do |server|
    server.vm.hostname = "cchauvetS"
    server.vm.network "private_network", :ip => "192.168.56.110"
    server.vm.provider "libvirt" do |lv|
      lv.cpus = "8"
      lv.memory = "10240"
    end
    server.vm.provision "shell", path: "scripts/k3s.sh"
  end
end
